
$MyInvocation.MyCommand.Name -match '([0-9]+\.[0-9]+\.[0-9]+([ab]|(rc[-]*[0-9]*)))'
$Ver = $Matches[1]


if (-not (Get-Command ffmpeg -ErrorAction SilentlyContinue)) {
    winget install Gyan.FFmpeg
}

if (-not (Get-Command "yt-dlp" -ErrorAction SilentlyContinue)) {
    winget install "yt-dlp.yt-dlp"
}

if (-not (Get-Command spotdl -ErrorAction SilentlyContinue)) {
    if (-not (Get-Command python -ErrorAction SilentlyContinue)) {
         winget install "Python.Python.3.12"
    }
    python -m pip install spotdl
}

$url = "https://git.mcorangehq.xyz/XOR64/music/releases/download/$Ver/mcmg_win32.exe"

Invoke-WebRequest -Uri $url  -OutFile "mcmg.exe"
